---
title: "List_campaigns"
slug: "list-campaigns"
updated: 2024-10-25T11:02:05Z
published: 2024-10-25T11:02:05Z
canonical: "docs.voiso.com/list-campaigns"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiso.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List_campaigns
Get/api/dialer/v1/campaigns
Returns a list of all callcenter campaigns data based on callcenter API key.
Header parametersAuthorization: Bearer tokenstringRequired
Contact center API key
Query parametersfilter[name]string
One of campaigns name
Examplecampaign name
filter[strategy]string
Campaign strategy (simple, advanced, predictive_ai)
Exampleadvanced
filter[status]string
Campaign status (draft, active, paused, stopping, completed, processing, stopped, auto_paused, pausing, auto_pausing, import_error)
Exampleactive
filter[method]string
Campaign method of numbers uploading (csv, bitrix_crm, dynamics_crm, falcon_crm, hubspot_crm, panda_crm, popcorn_crm, proftit_crm, puma_crm, salesforce_crm, zoho_crm)
Examplecsv
filter[live]boolean
Is campaign live?
ExampleFalse
Responses200
Success
Expand Allobject campaigns Array of object (campaign) object idinteger
Campaign ID
Example1
namestring
campaign name
Exampletest dialer campaign
statusstring
campaign status
Exampleactive
strategystring
campaign strategy
Examplesimple
methodstring
campaign import method, CSV file or specific CRM
Examplecsv
created_atstring
campaign created at at specific format
Example2023-07-24T15:44:47.465Z
liveboolean
campaign live or not
ExampleTrue
metadataobject (offset_based_pagination_metadata) limitinteger
The number of results
Example25
offsetinteger
The number of records that need to be skipped
Example0
totalinteger
The total count of items
Example10
400
Invalid parameters
Invalid or nonexistent Callcenter API Key
```json
{
"error": "The API key specified is invalid"
}
```
Invalid campaign strategy
```json
{
"errors": {
"strategy": "is not included in the list (simple, advanced, and predictive_ai)"
}
}
```
Invalid campaign status
```json
{
"errors": {
"status": "is not included in the list (draft, active, paused, stopping, completed, processing, stopped, auto_paused, pausing, auto_pausing, and import_error)"
}
}
```
Invalid campaign method
```json
{
"errors": {
"method": "is not included in the list (csv, bitrix_crm, dynamics_crm, falcon_crm, hubspot_crm, panda_crm, popcorn_crm, proftit_crm, puma_crm, salesforce_crm, and zoho_crm)"
}
}
```
Invalid live option
```json
{
"errors": {
"strategy": "must be a boolean"
}
}
```